import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintStream;
import java.net.Socket;

public class NewTCPclient {
    static final int SERVER_PORT = 2000;

    public static void main(String[] args) {
        if(args.length != 1) {
            System.out.println ("Syntax: java NewTCPclient host");
            System.exit (1);
        }
        NewTCPclient client = new NewTCPclient(args[0]);
    }

    NewTCPclient (String host) {
        try {
            Socket server = new Socket (host, SERVER_PORT);
            System.out.println ("Connected to " + host + ":" +
                                 SERVER_PORT);
            PrintStream ps = new PrintStream (
                                 server.getOutputStream());
            BufferedReader br = new BufferedReader
                    (new InputStreamReader (server.getInputStream()));
            NewTCPgui gui = new NewTCPgui(ps, br,
                                 "New TCP Client",
                                 true); // Go first.
        }
        catch(IOException ioe) {
            System.out.println
            ("An I/O error occured when creating the socket: " + ioe);
        }
    }
}