import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintStream;
import java.net.Socket;
import java.net.ServerSocket;

public class NewTCPserver {
    static final int SERVER_PORT = 2000;

    public static void main(String[] args) {
    NewTCPserver server = new NewTCPserver();
    }

    NewTCPserver() {
        try {
            ServerSocket socket = new ServerSocket(SERVER_PORT);
            System.out.println("Listening for clients on port 2000");
            Socket client = socket.accept();
            PrintStream ps = new PrintStream(
                                 client.getOutputStream());
            BufferedReader br = new BufferedReader
               (new InputStreamReader(client.getInputStream()));
            // Create the GUI.
            NewTCPgui gui = new NewTCPgui(ps, br,
                                 "New TCP Server",
                                 false); // Wait for first message.
        }
        catch (IOException ioe) {
            System.out.println(
                   "An I/O error occured when creating the socket");
        }
    }
}